before_script:
  - docker info

stages:
  - docker
  - build

docker:
  stage: docker

  except:
    - release
    - /^nobuild-.*/

  script:
    - ./docker/build


build:
  stage: build

  except:
    - release
    - /^nobuild-.*/

  script:
    # Build
    - EXTRA_DOCKER_FLAGS='--tty=false' ./docker/run

    # Prepare artifacts to collect
    - cp -r out/bin/ $CI_PROJECT_NAME-$CI_COMMIT_SHORT_SHA/

    # Upgrade script
    - cp ./upgrade $CI_PROJECT_NAME-$CI_COMMIT_SHORT_SHA/

    # Extroot
    - cp ./openwrt/extroot/ $CI_PROJECT_NAME-$CI_COMMIT_SHORT_SHA/

    # Info
    - echo "Repository $CI_PROJECT_URL"   >  $CI_PROJECT_NAME-$CI_COMMIT_SHORT_SHA/info
    - echo "Commit     $CI_COMMIT_SHA"    >> $CI_PROJECT_NAME-$CI_COMMIT_SHORT_SHA/info
    - echo "Pipeline   $CI_PIPELINE_URL"  >> $CI_PROJECT_NAME-$CI_COMMIT_SHORT_SHA/info

  artifacts:
    name: $CI_PROJECT_NAME-$CI_COMMIT_SHORT_SHA
    paths:
      - $CI_PROJECT_NAME-$CI_COMMIT_SHORT_SHA/
